% sergA.m
%   An example for <http://savannah.gnu.org/bugs/?48689>
%   based on the example of
%     Dmitri A. Sergatskov <mailto:dasergatskov@gmail.com>

clear all;
chdir (fileparts(mfilename("fullpath")));

%% Patches with same number of vertices
t1 = (1/16:1/8:1)' * 2*pi;
t2 = ((1/16:1/8:1)' + 1/32) * 2*pi;
x1 = sin (t1) - 0.8;
y1 = cos (t1);
x2 = sin (t2) + 0.8;
y2 = cos (t2);
close all;
hold on;
patch ([x1,x2], [y1,y2], 'r');
plot(0, 0, "o", "markersize", 8, ...
  "markeredgecolor", "black", "markerfacecolor", "yellow");
axis([-0.9,0.9,-0.9,0.9], "equal")
text(-0.35, 0.2, "hello", "fontsize", 24, ...
  "fontweight", "bold", "rotation", 45);
text(0.15, -0.35, "world", "fontsize", 24, ...
  "fontweight", "bold", "rotation", 45);
hold off;
 